package com.bjtdba.merchant.service;

import com.bjtdba.merchant.entity.StoreStaff;
import org.springframework.stereotype.Service;

import java.net.UnknownHostException;

@Service("storeStaffService")
public interface StoreStaffService {


    /**
     * 添加门店员工
     * @param storeStaff
     * @return
     */
    public Object addStoreStaff(StoreStaff storeStaff) throws UnknownHostException;
    /**
     * 查询门店下的所员工
     * @param merId
     * @return
     */
    public Object queryStoreStaff(int merId);

    /**
     * 查询门店下的所员工
     * @param uId
     * @return
     */
    public Integer queryStoreStaffUid(int uId);

    /**
     * 更新门店下的所有员工
     * @param storeStaff
     * @return
     */
    public Object updateStoreStaff(StoreStaff storeStaff);
}
